# Create your views here.
from django.http import HttpResponse
import sys, json
from django.contrib.auth.models import User

def pong(request,):
    return HttpResponse("Site fonctionnel")

def pong_dependances(request,):

    dependances = []

    for path in sys.path:
        dependance = parse_dependance(path)
        if dependance:
            dependances.append(dependance)

    dependances = json.dumps(dependances)

    reponse = HttpResponse(dependances, content_type="application/json")
    return reponse

def parse_dependance(path):

    if not path[-4:] == '.egg':
        return None

    path = path.split('/').pop()
    path = path[:-4]

    # convention buildout = nom-version-version_python
    assert(len(path.split('-')) == 3)

    nom, version, version_python = path.split('-')
    version_python = version_python[2:]
    dependance={'nom':nom, 'version':version, \
                'version_python':version_python}

    return dependance

def pong_utilisateurs(request,):
    utilisateurs = []
    for user in User.objects.all():
        u = {'courriel':user.email, 'nom':user.last_name,\
             'prenom':user.first_name, 'actif':user.is_active}
        utilisateurs.append(u)
    utilisateurs = json.dumps(utilisateurs)

    reponse = HttpResponse(utilisateurs, content_type="application/json" )
    return reponse

